Confixx 3.0.4 und MySQL 4.1.7?

MySQL, PostgreSQL, SQLite
salnet
Posts: 50
Joined: 2002-07-14 00:59
Location: Bonn

Confixx 3.0.4 und MySQL 4.1.7?

Post by salnet » 2004-10-28 14:52

Hallo!
Ich möchte mein MySQL updaten und wollte wissen ob Confixx 3 mit MySQL 4.1.7 zusammenarbeitet.
Ich brauche die SUBSELECT Funktionen, die allerdings erst in MySQL 4.1 eingeführt wurden. Da die 4.1 ein neues Passwort-Hashing hat, welches längere Passwort-Hashes erzeugt, wollte ich wissen ob es da evtl. Probleme mit Confixx usw. gibt bzw. geben kann.
Ich habe bereits einen Thread gefunden, allerdings geht es da um Confixx 2 und MySQL 4.1.
Derzeitige MySQL-Version ist 4.0.15, Apache 2.0.52, PHP 4.3.9

Outlaw
Posts: 1500
Joined: 2002-12-04 10:22
Location: 4. Server von rechts, 2. Reihe von oben

Re: Confixx 3.0.4 und MySQL 4.1.7?

Post by Outlaw » 2004-11-05 01:33

Ich habe bei mir auf meinem Homeserver z.B. das Problem gehabt, daß z.B. das phpBB2 Forum durch die neue Passwortverschlüsselung nicht mehr funktioniert hat.

Die Fehlermeldung lautet in so einem Fall:

Client does not support authentication protocol requested by server; consider upgrading MySQL client

Dazu gibt es aber die Möglichkeit, die Passwörter auf die alte Routine zu resetten oder MySQL anzuweisen, die alte Version weiterhin zu verwenden.

Ich habe dazu folgendes gefunden:

http://dev.mysql.com/doc/mysql/en/Old_client.html

Ich habe mich als schnellen Workaround für diese Methode entschieden, bis ich die Clients upgedated habe:

Code: Select all

mysql> UPDATE mysql.user SET Password = OLD_PASSWORD('newpwd')
    -> WHERE Host = 'some_host' AND User = 'some_user';
mysql> FLUSH PRIVILEGES;
Das hat wunderbar geklappt. Ok, wer viele User hat, wird damit verm. nicht um einen generellen Upgrade umhinkommen.

Gruß Outi